В последнее время утилиты для джейлбрейка всё чаще выпускаются по дискриминационному принципу — или для Mac OS X, или эксклюзивно для Windows. И если для владельцев Маков установка Windows осуществима в два счёта, то вот для превращения PC в хакинтош приходится повозиться (как минимум с виртуальной машиной :).

Несколько дней назад для Mac OS X появилась версия утилиты redsn0w, а сегодня вышел ответ со стороны платформы PC — утилита sn0wbreeze, которая работает только на Windows и умеет делать джейлбрейк прошивки 4.1. Эта программа является аналогом известной Mac-утилиты Pwnage Tool, которая позволяет вшить джейлбрейк в уже имеющуюся прошивку, а потом обновить iPhone или iPod Touch на неё. Этот метод хорош тем, что в итоге у вас получается файл джейлбрейкнутой прошивки, которым можно пользоваться сколько угодно, а саму процедуру обработки прошивки достаточно сделать только один раз. Но там, где есть достоинства, всегда находятся недостатки. Главный недостаток sn0wbreeze — огромное количество жёстких ограничений.

Список поддерживаемых устройств (и ограничений для них) выглядит вот так:

  • iPhone 3G (в любом состоянии)
  • iPhone 3GS со старым бутромом (должен быть на джейлбрейкнутой прошивке, однако джейлбрейк должен быть осуществлён чем либо, кроме Spirit и JailbreakMe. Версия прошивки не важна)
  • iPhone 3GS с новым бутромом (должен быть на прошивке 3.1.2, должен быть джейлбрейкнут чем либо, кроме Spirit и JailbreakMe)
  • iPod Touch 2G (в любом состоянии, кроме MC-моделей)
  • iPod Touch 3G или iPod Touch 2G MC-модель (должен быть на прошивке 3.1.2, должен быть джейлбрейкнут чем либо, кроме Spirit и JailbreakMe)
  • iPhone 2G и iPod Touch 1G тоже поддерживаются, но прошить их на iOS 4.0 или старше не получится

Видите, сколько сложностей? Главный вопрос, который мучает многих — а как быть, если джейлбрейк всё-таки был сделан через Spirit или JailbreakMe? Неужели нужно откатываться на старые прошивки и пользоваться redsn0w или blackra1n? К счастью, нет. Нужно добавить в Cydia репозиторий http://repo.woowiz.net и поставить оттуда пакет Spirit2Pwn.

iPhone 4, iPod Touch 4 и iPad (с прошивкой 3.2.2) пока ждут своего часа. Утилита, использующая новый эксплойт SHAtter, почти готова.

P.S. Пока мы писали эту новость, sn0wbreeze обновился до версии 2.0.1. Апдейт устраняет ошибку 37, которая иногда возникала при попытке прошивки iPhone 3G. Другой замеченный глюк — невозможность нормального анлока iPhone 3GS через sn0wbreeze — пока не устранён! Воздержитесь от выбора опции анлока в настройках утилиты!

В нашей Энциклопедии джейлбрейка для Windows теперь стало намного больше зелёных клеточек, означающих возможность осуществления джейлбрейка.

Скачать sn0wbreeze 2.0.1

Поделитесь страницей через социальные сети

  • http://twitter.com/RAVruS @RAVruS

    Если есть хакинтош , то все таки лучше из под него?

  • AppStudio

    вы имеете в виду redsn0w? да, эта утилита проще и надёжнее. но её отличие от sn0wbreeze в том, что она применяется на уже установленной официальной прошивке 4.1. соответственно, для залоченных телефонов она противопоказана. ну и iPhone 3GS + iPod Touch 3G она не поддерживает.

  • timurdark

    А как быть с iPhone 3Gs, если прошивка 4.1 и джейлбрейк сделан не был?

    • AppStudio

      нужно откатываться на 3.1.2, делать джейлбрейк через blackra1n, а потом прошиваться заново.
      если у iPhone 3GS старый бутром, то можно попробовать откатиться на 4.0.1 или 4.0, сделать джейлбрейк через JailbreakMe, поставить из Cydia пакет Spirit2Pwn, а потом прошиваться на 4.1.
      в любом случае, без понижения прошивки ничего не получится.

  • e440

    пробовал прошиться вчера версией 096b
    ipod 2g MB прошивка 4.1
    выдавал ошибку 1604
    покурил мануалы:
    необходимо использовать iREP(перевод в DFU режим) и TinyUmbrellaвыдает(для подмены SHSH)
    после этого выдает ошибку 40
    вопрос решить удалось, откатился на 4.0

    • AppStudio

      TinyUmbrella была не нужна, вы же на 4.1 прошиваться пытались

  • timurdark

    Спасибо большое за ответ!
    Бутром новый. Не подскажете инструкцию по откату на 3.1.2?
    Айфон РСТ если что)